> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-connect/storage/storagedata.md).

# StorageData

The shape of the data stored in local storage by Stacks Connect. This data is automatically managed when using [`request`](/reference/stacks.js/stacks-connect/request/request.md) with `enableLocalStorage: true` (the default).

***

### Definition

```ts
interface StorageData {
  addresses: {
    stx: Omit<AddressEntry, 'publicKey'>[];
    btc: Omit<AddressEntry, 'publicKey'>[];
  };
  updatedAt?: number;
  version: string;
}
```

[**Reference Link**](https://github.com/stx-labs/connect/blob/main/packages/connect/src/storage.ts#L9)

***

### Properties

#### addresses (required)

* **Type**: `{ stx: Omit<AddressEntry, 'publicKey'>[]; btc: Omit<AddressEntry, 'publicKey'>[] }`

An object containing two arrays of address entries: one for STX addresses and one for BTC addresses. For privacy, the `publicKey` field is stripped before storing.

Each address entry has the shape:

```ts
{
  symbol?: string;
  address: string;
}
```

***

#### updatedAt (optional)

* **Type**: `number`

A Unix timestamp (in milliseconds) indicating when the storage was last updated. Set automatically when addresses are written.

***

#### version (optional)

* **Type**: `string`

The version of the storage schema. Currently `'0.0.1'`.

***

### Related

* [`getLocalStorage`](/reference/stacks.js/stacks-connect/storage/getlocalstorage.md) — Retrieve this data from local storage.
* [`clearLocalStorage`](/reference/stacks.js/stacks-connect/storage/clearlocalstorage.md) — Clear this data from local storage.
* [`isConnected`](/reference/stacks.js/stacks-connect/connection/isconnected.md) — Check if any addresses are stored.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-connect/storage/storagedata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
